View Issue Details

IDProjectCategoryView StatusLast Update
0020277LazarusIDEpublic2011-09-21 00:19
ReporterJohn RepucciAssigned ToVincent Snijders 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0020277: IDE splash screen reports "SVN Revision: Unknown"
DescriptionIDE splash screen reports "SVN Revision: Unknown"
Lazarus-0.9.31-32361-fpc-2.5.1-20110916-win32
Additional InformationSee attached image.
- I installed Lazarus-0.9.31-32361-fpc-2.5.1-20110916-win32.exe,
- did a build-all + examples, hit bug 0020261 ("When I try to Start Lazarus I get TrackBar Demo program") & could not get past that, so I...
- Deleted all of the c:/laz/32361 folder tree
- reinstalled same version to newly created c:/laz/32361 folder
and noticed that the splash screen was not reporting the svn correctly.
TagsNo tags attached.
Fixed in Revision32419
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0020147 resolvedVincent Snijders svn2revisioninc is never invoked by the IDE, when rebuilding with "Update revision.inc" checked 
related to 0020221 closedVincent Snijders svn2revisioninc not working if uses "TortoiseSVN 1.6.99, Build 21923 - 32 Bit " 

Activities

2011-09-17 04:01

 

32361-unknown.PNG (9,345 bytes)
32361-unknown.PNG (9,345 bytes)
Maybe related to bug 0020147 or 0020221?

John Repucci

2011-09-17 04:52

reporter   ~0051936

FYI - I installed this from the above mentioned snapshot.

(note: this is on a w32-Vista system, not that I expect that to make a difference.)

John Repucci

2011-09-21 00:19

reporter   ~0052074

Version # in splash screen shows up correctly using snapshot
Lazarus-0.9.31-32432-fpc-2.5.1-20110920-win32.exe.

Issue History

Date Modified Username Field Change
2011-09-17 04:01 John Repucci New Issue
2011-09-17 04:01 John Repucci File Added: 32361-unknown.PNG
2011-09-17 04:01 John Repucci Widgetset => Win32/Win64
2011-09-17 04:28 Flávio Etrusco (notifications not working) Note Added: 0051934
2011-09-17 04:52 John Repucci Note Added: 0051936
2011-09-17 09:00 Vincent Snijders Status new => assigned
2011-09-17 09:00 Vincent Snijders Assigned To => Vincent Snijders
2011-09-17 09:58 Juha Manninen Relationship added related to 0020147
2011-09-17 09:58 Juha Manninen Relationship added related to 0020221
2011-09-19 09:53 Vincent Snijders Fixed in Revision => 32419
2011-09-19 09:53 Vincent Snijders LazTarget => -
2011-09-19 09:53 Vincent Snijders Status assigned => resolved
2011-09-19 09:53 Vincent Snijders Fixed in Version => 0.9.31 (SVN)
2011-09-19 09:53 Vincent Snijders Resolution open => fixed
2011-09-21 00:19 John Repucci Status resolved => closed
2011-09-21 00:19 John Repucci Note Added: 0052074